pydo.microvms.get()

Generated on 6 Nov 2026 from pydo version v0.45.0

Usage

client.microvms.get(microvm_id="01a0ef1a-d873-793d-ae6a-5dd6239be62a")
Returns JSON Raises HttpResponseError

Description

To show information about a MicroVM, send a GET request to /v2/microvms/{microvm_id}.

The endpoint is in the urls entry with default set to true. Its hostname is empty and its status is PENDING until provisioning finishes.

Parameters

microvm_id string required

The unique ID of the MicroVM.

Response Example

Show Response Example
{
  "microvm": {
    "id": "01a0ef1a-d873-793d-ae6a-5dd6239be62a",
    "name": "example-microvm",
    "region": "mkc1",
    "size": {
      "cpu": 1,
      "memory": 2048,
      "disk": 50
    },
    "source": {
      "oci_ref": "docker.io/library/nginx:latest"
    },
    "state": "running",
    "networking": "public",
    "auto_pause": {
      "enabled": true,
      "idle_timeout": "5m0s"
    },
    "auto_resume": true,
    "http_protocol": "http",
    "ports": [
      80
    ],
    "tags": [
      "example"
    ],
    "urls": [
      {
        "hostname": "01a0ef1a-d873-793d-ae6a-5dd6239be62a.mkc1.microvm.ondigitalocean.com",
        "port": 80,
        "default": true,
        "status": "ACTIVE"
      }
    ],
    "created_at": "2026-09-29T21:38:29Z"
  }
}

More Information

See /v2/microvms/{microvm_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.